Subject: [sipcore] draft-ietf-sipcore-rfc4244bis-callflows-01: section 3.1 comments

From: Brett Tate <[email-masked]>
Date: Fri, 12 Oct 2012 13:21:09 +0000

The following are some WGLC comments concerning draft-ietf-sipcore-rfc4244bis-callflows-01 section 3.1.

1) All of the requests must include Max-Forwards to be RFC 3261 compliant.

2) F4 and F5 need a To tag to be RFC 3261 compliant.

3) The Record-Route should be removed from F4 and F11.

4) Unique Via branch identifiers cannot be reused.  Thus F6 should have a different unique Top via branch; adjust F7 accordingly.

5) F6 via branch must match F1 via branch; adjust F8 accordingly.

6) F7 must contain a Contact; adjust F8 accordingly.

7) F8 needs the Record-Route.

8) F9, F10, F11, F13 need to be adjusted similar to 4) and 5).

9) Different locations should not be generating the same To tag.  F10, F11, and F13 should not contain the To tag sent in F7.

10) F12 and F14 need a To tag to be RFC 3261 compliant.

11) F12 and F14 via branches must match F1.

12) F13 From contains extra ';'.

This email is intended solely for the person or entity to which it is addressed and may contain confidential and/or privileged information. If you are not the intended recipient and have received this email in error, please notify BroadSoft, Inc. immediately by replying to this message, or by sending an email to [email-masked], and destroy all copies of this message, along with any attachment, prior to reading, distributing or copying it.